Bug 2178470 (CVE-2023-28164) - CVE-2023-28164 Mozilla: URL being dragged from a removed cross-origin iframe into the same tab triggered navigation
Summary: CVE-2023-28164 Mozilla: URL being dragged from a removed cross-origin iframe ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2023-28164
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2176588 2176589 2176590 2176592 2176593 2176594 2176595 2176596 2176597 2176598 2176599 2176600 2176601 2176604 2176605 2176606 2176607 2176608 2176609 2176610 2176611 2176612 2176613 2176614 2176615 2176616
Blocks: 2176586
TreeView+ depends on / blocked
 
Reported: 2023-03-15 04:31 UTC by msiddiqu
Modified: 2023-03-27 19:18 UTC (History)
5 users (show)

Fixed In Version: firefox 102.9, thunderbird 102.9
Doc Type: ---
Doc Text:
A flaw was found in Mozilla. The Mozilla Foundation Security Advisory described the issue of dragging a URL from a cross-origin iframe that was removed during the drag could have led to user confusion and website spoofing attacks.
Clone Of:
Environment:
Last Closed: 2023-03-27 19:18:48 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2023:1333 0 None None None 2023-03-20 09:29:57 UTC
Red Hat Product Errata RHSA-2023:1336 0 None None None 2023-03-20 09:36:29 UTC
Red Hat Product Errata RHSA-2023:1337 0 None None None 2023-03-20 09:34:41 UTC
Red Hat Product Errata RHSA-2023:1364 0 None None None 2023-03-21 08:16:48 UTC
Red Hat Product Errata RHSA-2023:1367 0 None None None 2023-03-21 09:43:05 UTC
Red Hat Product Errata RHSA-2023:1401 0 None None None 2023-03-22 10:05:13 UTC
Red Hat Product Errata RHSA-2023:1402 0 None None None 2023-03-22 10:23:31 UTC
Red Hat Product Errata RHSA-2023:1403 0 None None None 2023-03-22 10:33:07 UTC
Red Hat Product Errata RHSA-2023:1404 0 None None None 2023-03-22 10:34:48 UTC
Red Hat Product Errata RHSA-2023:1407 0 None None None 2023-03-22 10:34:25 UTC
Red Hat Product Errata RHSA-2023:1442 0 None None None 2023-03-23 11:07:26 UTC
Red Hat Product Errata RHSA-2023:1443 0 None None None 2023-03-23 11:16:31 UTC
Red Hat Product Errata RHSA-2023:1444 0 None None None 2023-03-23 11:27:27 UTC
Red Hat Product Errata RHSA-2023:1445 0 None None None 2023-03-23 11:16:38 UTC
Red Hat Product Errata RHSA-2023:1472 0 None None None 2023-03-27 08:16:10 UTC
Red Hat Product Errata RHSA-2023:1479 0 None None None 2023-03-27 15:11:53 UTC

Description msiddiqu 2023-03-15 04:31:07 UTC
Dragging a URL from a cross-origin iframe that was removed during the drag could have led to user confusion and website spoofing attacks.

External Reference:
https://www.mozilla.org/en-US/security/advisories/mfsa2023-10/#CVE-2023-28164

Comment 9 errata-xmlrpc 2023-03-20 09:29:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2023:1333 https://access.redhat.com/errata/RHSA-2023:1333

Comment 10 errata-xmlrpc 2023-03-20 09:34:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:1337 https://access.redhat.com/errata/RHSA-2023:1337

Comment 11 errata-xmlrpc 2023-03-20 09:36:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2023:1336 https://access.redhat.com/errata/RHSA-2023:1336

Comment 12 errata-xmlrpc 2023-03-21 08:16:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.0 Extended Update Support

Via RHSA-2023:1364 https://access.redhat.com/errata/RHSA-2023:1364

Comment 13 errata-xmlrpc 2023-03-21 09:43:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.6 Extended Update Support

Via RHSA-2023:1367 https://access.redhat.com/errata/RHSA-2023:1367

Comment 14 errata-xmlrpc 2023-03-22 10:05:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2023:1401 https://access.redhat.com/errata/RHSA-2023:1401

Comment 15 errata-xmlrpc 2023-03-22 10:23:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9.0 Extended Update Support

Via RHSA-2023:1402 https://access.redhat.com/errata/RHSA-2023:1402

Comment 16 errata-xmlrpc 2023-03-22 10:33:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2023:1403 https://access.redhat.com/errata/RHSA-2023:1403

Comment 17 errata-xmlrpc 2023-03-22 10:34:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:1407 https://access.redhat.com/errata/RHSA-2023:1407

Comment 18 errata-xmlrpc 2023-03-22 10:34:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.6 Extended Update Support

Via RHSA-2023:1404 https://access.redhat.com/errata/RHSA-2023:1404

Comment 19 errata-xmlrpc 2023-03-23 11:07:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2023:1442 https://access.redhat.com/errata/RHSA-2023:1442

Comment 20 errata-xmlrpc 2023-03-23 11:16:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Advanced Update Support
  Red Hat Enterprise Linux 8.2 Update Services for SAP Solutions
  Red Hat Enterprise Linux 8.2 Telecommunications Update Service

Via RHSA-2023:1443 https://access.redhat.com/errata/RHSA-2023:1443

Comment 21 errata-xmlrpc 2023-03-23 11:16:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Advanced Update Support
  Red Hat Enterprise Linux 8.2 Update Services for SAP Solutions
  Red Hat Enterprise Linux 8.2 Telecommunications Update Service

Via RHSA-2023:1445 https://access.redhat.com/errata/RHSA-2023:1445

Comment 22 errata-xmlrpc 2023-03-23 11:27:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2023:1444 https://access.redhat.com/errata/RHSA-2023:1444

Comment 23 errata-xmlrpc 2023-03-27 08:16:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2023:1472 https://access.redhat.com/errata/RHSA-2023:1472

Comment 24 errata-xmlrpc 2023-03-27 15:11:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Update Services for SAP Solutions

Via RHSA-2023:1479 https://access.redhat.com/errata/RHSA-2023:1479

Comment 25 Product Security DevOps Team 2023-03-27 19:18:45 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2023-28164


Note You need to log in before you can comment on or make changes to this bug.